Skip to main content
POST
/
cart
/
order
Create order
curl --request POST \
  --url https://api.atlas.kitchen/storefronts/v1/cart/order \
  --header 'X-Channel-Id: <api-key>' \
  --header 'X-Session-Id: <api-key>'
{
  "id": 1,
  "identifier": "3",
  "channel_id": 1,
  "outlet_id": 1,
  "brand_id": 1,
  "brand": {
    "name": "Aviato Burger"
  },
  "fulfilment_type": "delivery",
  "state": "confirmed",
  "call_number": null,
  "notes": null,
  "serving_date": "2026-04-17",
  "timeslot_start": 34200,
  "timeslot_end": 36000,
  "timeslot_range": "9:30AM–10:00AM",
  "timeslot_type": "available_timeslots",
  "contact_name": "Jane Doe",
  "contact_email": "jane@example.com",
  "contact_number": "+6591234567",
  "address_line1": "123 Orchard Road",
  "address_line2": "#04-56",
  "address_latitude": 1.3021,
  "address_longitude": 103.8198,
  "postal_code": "238858",
  "is_cutlery_required": false,
  "is_contactless": false,
  "is_asap": false,
  "is_gift": false,
  "recipient_name": null,
  "recipient_contact_number": null,
  "recipient_organisation_name": null,
  "gift_message": null,
  "is_paid": true,
  "promo_code": null,
  "confirmation_custom_message": null,
  "payment_breakdown": {
    "minimum_order_value": null,
    "donation_amount": 0,
    "cash_vouchers_amount": 0,
    "service_charge": 0,
    "delivery_fee": 600,
    "amount_to_free_delivery": null,
    "amount_to_next_delivery_fee": null,
    "delivery_fee_waiver_cart_subtotal": null,
    "surcharge": 0,
    "surcharge_label": null,
    "use_points": false,
    "points_amount": 0,
    "points_value": 0,
    "discount": 0,
    "admin_discount": 0,
    "subtotal": 1890,
    "total": 2490,
    "total_including_tax": 2490,
    "tax": 0,
    "tax_inclusive_prices": false,
    "amount_paid": 2490,
    "amount_unpaid": 0,
    "is_post_tax_discount": false
  },
  "claim_token_url": null,
  "eligible_points": 0,
  "eligible_points_value": 0,
  "created_at": 1776534900,
  "updated_at": 1776534901,
  "cancelled_at": null,
  "completed_at": null,
  "order_items": [
    {
      "id": 1,
      "item_id": 1,
      "name": "Scrambled Eggs Bowl",
      "quantity": 1,
      "currency": "SGD",
      "price_cents": 790,
      "discount": 0,
      "calculated_subtotal": 840,
      "per_unit_quantity": 1,
      "unit_label": null,
      "notes": "Extra napkins please",
      "cart_item_id": 1,
      "item_modifier_group_id": null,
      "modifier_id": null,
      "sub_items": [
        {
          "id": 2,
          "item_id": 2,
          "name": "Mild",
          "quantity": 1,
          "currency": "SGD",
          "price_cents": 0,
          "discount": 0,
          "calculated_subtotal": 0,
          "per_unit_quantity": 1,
          "unit_label": null,
          "notes": null,
          "cart_item_id": 2,
          "item_modifier_group_id": 1,
          "modifier_id": 1,
          "sub_items": []
        },
        {
          "id": 3,
          "item_id": 4,
          "name": "Bacon",
          "quantity": 1,
          "currency": "SGD",
          "price_cents": 0,
          "discount": 0,
          "calculated_subtotal": 0,
          "per_unit_quantity": 1,
          "unit_label": null,
          "notes": null,
          "cart_item_id": 3,
          "item_modifier_group_id": 2,
          "modifier_id": 3,
          "sub_items": []
        },
        {
          "id": 4,
          "item_id": 13,
          "name": "Extra Cheese",
          "quantity": 1,
          "currency": "SGD",
          "price_cents": 50,
          "discount": 0,
          "calculated_subtotal": 50,
          "per_unit_quantity": 1,
          "unit_label": null,
          "notes": null,
          "cart_item_id": 4,
          "item_modifier_group_id": 4,
          "modifier_id": 12,
          "sub_items": []
        }
      ]
    },
    {
      "id": 5,
      "item_id": 17,
      "name": "Corn Chips",
      "quantity": 2,
      "currency": "SGD",
      "price_cents": 400,
      "discount": 0,
      "calculated_subtotal": 800,
      "per_unit_quantity": 1,
      "unit_label": null,
      "notes": null,
      "cart_item_id": 5,
      "item_modifier_group_id": null,
      "modifier_id": null,
      "sub_items": []
    },
    {
      "id": 6,
      "item_id": 22,
      "name": "Water",
      "quantity": 1,
      "currency": "SGD",
      "price_cents": 250,
      "discount": 0,
      "calculated_subtotal": 250,
      "per_unit_quantity": 1,
      "unit_label": null,
      "notes": null,
      "cart_item_id": 6,
      "item_modifier_group_id": null,
      "modifier_id": null,
      "sub_items": []
    }
  ],
  "order_payments": [
    {
      "id": 1,
      "capture_id": "ab2c8505-c7bc-40ea-9f54-97774ce347b5",
      "is_captured": true,
      "capture_type": "atlas_pay",
      "payment_type_id": 2,
      "amount": 2490
    }
  ]
}

Authorizations

X-Channel-Id
string
header
required

Merchant storefront identifier. Provided during onboarding.

X-Session-Id
string
header
required

Diner session identifier. Created by GET /channel and returned in the X-Session-Id response header.

Response

Order created successfully

id
integer
identifier
string
channel_id
integer
outlet_id
integer
brand_id
integer
brand
object
fulfilment_type
string
state
string
call_number
string | null
notes
string | null
serving_date
string<date>
timeslot_start
integer
timeslot_end
integer
timeslot_range
string
timeslot_type
string
contact_name
string
contact_email
string
contact_number
string
address_line1
string | null
address_line2
string | null
address_latitude
number<double> | null
address_longitude
number<double> | null
postal_code
string | null
is_cutlery_required
boolean
is_contactless
boolean
is_asap
boolean
is_gift
boolean
recipient_name
string | null
recipient_contact_number
string | null
recipient_organisation_name
string | null
gift_message
string | null
is_paid
boolean
promo_code
string | null
confirmation_custom_message
string | null
payment_breakdown
object
claim_token_url
string | null
eligible_points
integer
eligible_points_value
integer
created_at
integer

Unix timestamp

updated_at
integer

Unix timestamp

cancelled_at
integer | null

Unix timestamp

completed_at
integer | null

Unix timestamp

order_items
object[]
order_payments
object[]